### Hierarchy

- unknown
  - AckMessage

## Index

### Constructors

- constructor

### Methods

- clearSenderNodeAddress
- getErrorMessage
- getSenderNodeAddress
- getSourceId
- getSourceMsgClassName
- getSourceType
- getSourceUid
- getSuccess
- getUid
- hasSenderNodeAddress
- serializeBinary
- setErrorMessage
- setSenderNodeAddress
- setSourceId
- setSourceMsgClassName
- setSourceType
- setSourceUid
- setSuccess
- setUid
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new AckMessage(): AckMessage

- Inherited from jspb.Message.constructor

  #### Returns AckMessage

## Methods

### clearSenderNodeAddress

- clearSenderNodeAddress(): AckMessage

- - Defined in src/protobuf/pb_pb.d.ts:944

  #### Returns AckMessage

### getErrorMessage

- getErrorMessage(): string

- - Defined in src/protobuf/pb_pb.d.ts:961

  #### Returns string

### getSenderNodeAddress

- getSenderNodeAddress(): undefined | NodeAddress

- - Defined in src/protobuf/pb_pb.d.ts:941

  #### Returns undefined | NodeAddress

### getSourceId

- getSourceId(): string

- - Defined in src/protobuf/pb_pb.d.ts:955

  #### Returns string

### getSourceMsgClassName

- getSourceMsgClassName(): string

- - Defined in src/protobuf/pb_pb.d.ts:949

  #### Returns string

### getSourceType

- getSourceType(): string

- - Defined in src/protobuf/pb_pb.d.ts:946

  #### Returns string

### getSourceUid

- getSourceUid(): string

- - Defined in src/protobuf/pb_pb.d.ts:952

  #### Returns string

### getSuccess

- getSuccess(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:958

  #### Returns boolean

### getUid

- getUid(): string

- - Defined in src/protobuf/pb_pb.d.ts:938

  #### Returns string

### hasSenderNodeAddress

- hasSenderNodeAddress(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:943

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:964

  #### Returns Uint8Array

### setErrorMessage

- setErrorMessage(value: string): AckMessage

- - Defined in src/protobuf/pb_pb.d.ts:962

  #### Parameters

  - ##### value: string

  #### Returns AckMessage

### setSenderNodeAddress

- setSenderNodeAddress(value?: NodeAddress ): AckMessage

- - Defined in src/protobuf/pb_pb.d.ts:942

  #### Parameters

  - ##### Optional value: NodeAddress

  #### Returns AckMessage

### setSourceId

- setSourceId(value: string): AckMessage

- - Defined in src/protobuf/pb_pb.d.ts:956

  #### Parameters

  - ##### value: string

  #### Returns AckMessage

### setSourceMsgClassName

- setSourceMsgClassName(value: string): AckMessage

- - Defined in src/protobuf/pb_pb.d.ts:950

  #### Parameters

  - ##### value: string

  #### Returns AckMessage

### setSourceType

- setSourceType(value: string): AckMessage

- - Defined in src/protobuf/pb_pb.d.ts:947

  #### Parameters

  - ##### value: string

  #### Returns AckMessage

### setSourceUid

- setSourceUid(value: string): AckMessage

- - Defined in src/protobuf/pb_pb.d.ts:953

  #### Parameters

  - ##### value: string

  #### Returns AckMessage

### setSuccess

- setSuccess(value: boolean): AckMessage

- - Defined in src/protobuf/pb_pb.d.ts:959

  #### Parameters

  - ##### value: boolean

  #### Returns AckMessage

### setUid

- setUid(value: string): AckMessage

- - Defined in src/protobuf/pb_pb.d.ts:939

  #### Parameters

  - ##### value: string

  #### Returns AckMessage

### toObject

- toObject(includeInstance?: boolean): AckMessage . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:965

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns AckMessage . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): AckMessage

- - Defined in src/protobuf/pb_pb.d.ts:968

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns AckMessage

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: AckMessage, reader: BinaryReader): AckMessage

- - Defined in src/protobuf/pb_pb.d.ts:969

  #### Parameters

  - ##### message: AckMessage

  - ##### reader: BinaryReader

  #### Returns AckMessage

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: AckMessage, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:967

  #### Parameters

  - ##### message: AckMessage

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: AckMessage ): AckMessage . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:966

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: AckMessage

  #### Returns AckMessage . AsObject

Generated using TypeDoc